package cours06;

public class ChaineI {
	
	public static ChaineD creer(Class bI) {
		ChaineD c = new ChaineD();
		c.bI = bI;
		c.tete = MaillonI.creer(null, bI);// la tete ne contient aucun élément, mais est un simple lien vers le maillon suivant
		return c;
	}
	
	public static void tete(ChaineD c) {
		c.cour = c.tete;
	}
	
	public static void suivant(ChaineD c) {
		if (MaillonI.estDernier(c.cour) == false)//si le maillon cour.next n'est pas le dernier 
			c.cour = MaillonI.suivant(c.cour);
	}
	
	public static Object lire(ChaineD c) {
		return MaillonI.lire(MaillonI.suivant(c.cour));// on voit ici le décalage signalé dans ChaineD (le maillon cour précède le maillon courant)
	}
	
	public static void ecrire(ChaineD c, Object o) {
		MaillonI.ecrire(MaillonI.suivant(c.cour), o);// on voit ici le décalage signalé dans ChaineD (le maillon cour précède le maillon courant)
	}
	
	public static void inserer(ChaineD c, Object o) {
		MaillonD m = MaillonI.creer(o, c.bI);
		if (MaillonI.estDernier(c.tete) == true) {// la tete est le dernier maillon, donc la liste est vide
			MaillonI.ecrireSuivant(c.tete, m);
			c.cour = c.tete;
		}
		else {
			MaillonI.ecrireSuivant(m, MaillonI.suivant(c.cour));
			MaillonI.ecrireSuivant(c.cour, m);// cour permet de garder la réf sur le précédent
		}
	}
	
	public static void supprimer(ChaineD c) {
		MaillonI.ecrireSuivant(c.cour, MaillonI.suivant(MaillonI.suivant(c.cour)));// on supprime le lien vers le maillon courant (celui qui suit cour)
	}
	

	
	

}
