package lfti;

import java.util.Calendar;

public class DateI {

	/**
	 * @brief Saisie d'une date valide
	 * @return la date saisie
	 */
	public static DateD saisir() {
		final  DateD d =new DateD();
		
		Calendar now = Calendar.getInstance();
		
		d.jour=now.get(Calendar.DAY_OF_MONTH);
		d.mois=now.get(Calendar.MONTH)+1;
		d.annee=now.get(Calendar.YEAR);
		d.heure = now.get(Calendar.HOUR_OF_DAY);
		d.minute = now.get(Calendar.MINUTE);
		d.secondes = now.get(Calendar.SECOND);
		d.ms = now.get(Calendar.MILLISECOND);
		return d;
	}
	
	public static DateD saisir(int j, int m, int a) {
		final  DateD d =new DateD();
		
		d.jour=j;
		d.mois=m;
		d.annee=a;
		return d;
	}
	 
	/**
	 * @brief Affichage d'une date
	 * @param[in] d : la date � afficher
	 */
	public static void afficher(DateD d) {
		System.out.println(d.jour+"/"+d.mois+"/"+d.annee);
	}
	
	public static void afficherHeure(DateD d) {
		System.out.println(d.heure+":"+d.minute+"'"+d.secondes+"\""+d.ms+"  "+d.jour+"/"+d.mois+"/"+d.annee);
	}
	
	/**
	 * @brief Test d'égalité entre 2 dates
	 * @param[in] d1 : 1ère date
	 * @param[in] d2 : 2ème date
	 */
	public static boolean égalité(DateD d1, DateD d2) {
		if (d1.annee != d2.annee) return false;
		if (d1.mois != d2.mois) return false;
		if (d1.jour != d2.jour) return false;
		return true;
	}
	
	public static void Incrementer (DateD d) {
//		 Pas de taille indiqu�e dans la d�claration des tableaux
			int lmois[] = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
//		 prise en compte des annees bissextiles
			if (((d.annee % 4) == 0) && ((d.annee % 400) != 0)) lmois[1]++;
			d.jour++;
			if (d.jour > lmois[d.mois-1]) {
				d.jour = 1; d.mois ++;
				if (d.mois == 13) {d.annee++; d.mois = 1;}
				}
			}
	
}


