package cours06;

public class MaillonI {
	
	public static MaillonD creer(Object o, Class bI)  {
		MaillonD m = new MaillonD();
		m.element = o;
		m.next = null;
		m.bI = bI;
		return m;
	}
	
	public static MaillonD suivant(MaillonD m)  {
		return m.next;
	}
	
	public static boolean estDernier(MaillonD m)  {
		return (m.next == null);
	}
	
	
	public static void ecrireSuivant(MaillonD m1, MaillonD m2)  {
		m1.next = m2;
	}
	
	public static Object lire(MaillonD m)  {
		return m.element;
	}
	
	public static void ecrire(MaillonD m, Object o)  {
		m.element = o;
	}

}
